XF 2.0 Having troubles upgrading site

AngelT

Member
Been having quite a bit of trouble getting my upgrade to install and when I go to my site.com/install all I get is this
"The site is currently being upgraded. Please check back later." and I can't seem to get past that

So yesterday I needed to transfer my site to a new vps server (godaddy) as the one we were on was being deprecated and we could no longer renew it. Using Cpanel/Whm the transfer seemed to go just fine. and all files and data were transferred over without an issue. However the site would not load at all after this and after some digging it appeared that it might be because the new server was forcing the use of PHP 7.4 or 8.0 (8.0 is the recommended) which appeared to be causing conflicts with the previous install of xenforo because the previous serve was using 5.4.

So looks like I was going to have to update the forum software anyway. First I just tried updating from 1.5.14 to 1.5.21 but I was only getting 500 errors when trying to go to /install.
So next I decided I would try and clean up the /public_html file dir and removed all the addons and any extra files, and then just try and upgrade to XF 2.0 instead. That at least go me past the 500 errors but now stuck on "The site is currently being upgraded. Please check back later."

Anyone have any ideas how to get past that and get my site up and running again?
Thanks
 

AngelT

Member
Not sure if its relevant or not but keep seeing this error in the .php.error.log
[10-Jul-2022 23:49:55 UTC] PHP Fatal error: Uncaught TypeError: array_key_exists(): Argument #2 ($array) must be of type array, XenForo_Application given in /home/marinecolorado/public_html/library/Zend/Registry.php:206
Stack trace:
#0 /home/marinecolorado/public_html/library/XenForo/Application.php(1002): Zend_Registry->offsetExists('db')
#1 /home/marinecolorado/public_html/library/XenForo/Application.php(1632): XenForo_Application::get('db')
#2 /home/marinecolorado/public_html/library/XenForo/Error.php(160): XenForo_Application::getDb()
#3 /home/marinecolorado/public_html/library/XenForo/Application.php(400): XenForo_Error::logException(Object(ErrorException))
#4 [internal function]: XenForo_Application::handleFatalError()
#5 {main}
thrown in /home/marinecolorado/public_html/library/Zend/Registry.php on line 206
[10-Jul-2022 23:52:05 UTC] PHP Fatal error: Array and string offset access syntax with curly braces is no longer supported in /home/marinecolorado/public_html/src/vendor/dokuwiki/utf8/utf8.php on line 66
 

Brogan

XenForo moderator
Staff member
That's a PHP compatibility issue.

Change the PHP version on the new server to match the old one (5.4) to get the site working.
If the site doesn't load with PHP 5.4 then something has gone wrong with the backup and restore.

Once you have the original site working you can consider upgrading XF and PHP.
 

Brogan

XenForo moderator
Staff member
Then you will need to import the old files and database, then upload the new files from an XF version compatible with PHP 7.4 and perform an upgrade.
 

AngelT

Member
Which version of XF is compatible then? I have been trying with 2.0.9 which is the highest version available on my account. Is that one not compatible with the version of php. Or do I need to purchase a license for a different version?
 

AngelT

Member
Then you will need to import the old files and database, then upload the new files from an XF version compatible with PHP 7.4 and perform an upgrade.
Forgive my ineptness, but not quite following here. How and where would I do this import? All the files, and data have all been transferred over to server via the whm transfer tool. So technically the should be nothing to import, and even if there was, where would you do it? all the site pages including the admin don't load and say "The site is currently being upgraded. Please check back later."
And how would I get to a compatible XF without performing the upgrade first? Kind of have to perform the upgrade to get to the compatible version, don't I?
 

nivekae

Member
I'm having a big problem upgrading to 2.2 from 1.5...I uploaded all the install files and opened up the install page on my site and logged in as prompted however I get a message saying my user account cannot be found? What happened to my user accounts?
 

Attachments

  • Screenshot_20220712-180306.jpg
    Screenshot_20220712-180306.jpg
    44.6 KB · Views: 9

nivekae

Member
I'm having a big problem upgrading to 2.2 from 1.5...I uploaded all the install files and opened up the install page on my site and logged in as prompted however I get a message saying my user account cannot be found? What happened to my user accounts?

This upgrade has killed my forum all my accounts are gone I can't even log into my site anymore, I can't even revert back to where it was...All I have now is a database that I cannot use on anything because I have no forum now because of this upgrade...Wasted 6 years...
 

M@rc

Well-known member
This upgrade has killed my forum all my accounts are gone I can't even log into my site anymore, I can't even revert back to where it was...All I have now is a database that I cannot use on anything because I have no forum now because of this upgrade...Wasted 6 years...
That's why it's recommended to back up your database before upgrading, especially for major upgrades like XF 1 to XF 2.

Did you make sure to download the upgrade files instead of the installation files? If it's the latter, you delete everything for a fresh install.
 

nivekae

Member
That's why it's recommended to back up your database before upgrading, especially for major upgrades like XF 1 to XF 2.

Did you make sure to download the upgrade files instead of the installation files? If it's the latter, you delete everything for a fresh install.

I did backup my database however my database is not the problem its the upgrade software I've been dealing with this since 5:00 a.m. over 12 hours now...
 
Top